Skip to navigation

Update an assistant

Create, update or remove an assistant in a workstream and commit the change.

Required permissions: workspace.edit.

Authentication

AuthorizationBearer

Kinde access token with the configured LogicDialog audience and workspace membership/permissions. Channel API keys cannot authenticate management operations.

Path parameters

workspaceIdstringRequired
agentKeystringRequired

Query parameters

branchstringOptional

Explicit workstream branch. Writes reject main/live. Example: change/WORKSPACE/knowledge-update.

Request

This endpoint expects an object.
branchstringOptional
namestringOptional
descriptionstringOptional
firstMessagestringOptional
transfersmap from strings to anyOptional
knowledgemap from strings to anyOptional
toolslist of anyOptional

Response

Successful operation

Errors

401
Unauthorized Error
403
Forbidden Error